Bug 10531 - 6.1->6.2 upgrade fails (because of RAID?)
6.1->6.2 upgrade fails (because of RAID?)
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Depends On:
  Show dependency treegraph
Reported: 2000-04-02 21:52 EDT by sean
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-04-11 12:05:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description sean 2000-04-02 21:52:44 EDT
I have a software RAID-5 array (using software RAID 0.90) that was running
under RH 6.1.  I tried an NFS upgrade to 6.2 this evening and it froze
after I picked the "select packages to upgrade" option and clicked next.

The RAID device is defined at /dev/md3, I currently have no other /dev/mdXs

The errors on the tty were the following (I retyped these after copying
them down to paper by hand so I apologize if there are any typos):

File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
File "/usr/lib/anaconda/gui.py", line 340, in nextClicked
File "/usr/lib/anaconda/iw/examine.py", line 19, in getNext
File "/usr/lib/anaconda/todo.py", line 722, in upgradeFindPackages
File "/usr/lib/anaconda/fstab.py", line 705, in readFstab
	fields[2], raidByDev[int(fields[0][7:])])

The last line is what makes me think it was related to the software RAID-5
array.  I managed to upgrade by just doing rpm -Fvh *.rpm (more or less)
but thought I'd post this in case there was anything to it.

Note You need to log in before you can comment on or make changes to this bug.